/* .header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px 10px 10px 10px;
    border-bottom: 1px solid #d1d5db;
}
.logo {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    font-size: 36px;
}
main {
    position: relative;
    display: flex;
    flex-direction: column;
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    padding-top: 10px;
    gap: 24px;
} */
.uk-container {
    max-width: 1400px;
}

input {
    font-family: 'Inter';
}
input[disabled] {
    pointer-events: none;
}
.base {
    max-width: 1400px;
}
.module_calculator__section {
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.ModuleCalcTitle {
    font-family: 'Inter';
    font-size: 42px;
    font-weight: 600;
    line-height: 50.4px;
    text-align: left;
}
.moduleFilter {
    display: flex;
    padding: 42px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    max-width: 1400px;
    border-radius: 24px;
    background: #f5f5f5;
}

.moduleMaterial {
    display: flex;
    padding: 42px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    max-width: 1400px;
    border-radius: 24px;
    background: #f5f5f5;
}

.title {
    margin-top: 0;
    margin-bottom: 0;
    color: #232426;
    font-family: 'Inter';
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.titleParameter {
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 600;
    line-height: 31px;
    text-align: left;
    margin-bottom: 12px;
    width: 100%;
}

.filterPart {
    display: flex;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    width: 100%;
}
.partFilter {
    width: 50%;
}

.Part {
    width: 50%;
    gap: 12px;
    border-radius: 24px;
}

.headParameter {
    color: var(--Gray-colors-Gray-4, #6b7280);
    /* 14px/Regular */
    font-family: 'Inter';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    /* 128.571% */
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 4px;
}

.data {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    position: relative;
    height: 70px;
    width: 50%;
}

.groupParameter {
    display: flex;
    height: 316px;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px;
    gap: 12px;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid #fff;
    background: #fff;
    flex-wrap: wrap;
}

.groupParameter select {
    width: 302px;
    height: 48px;
    padding: 14px 12px 14px 12px;
    gap: 8px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    opacity: 1;
}

.bottomParametr {
    display: flex;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    height: 48px;
    width: 100%;
}

.bottomParametrHeader {
    color: #6b7280;
    font-family: 'Inter';
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 0;
}

.bottom {
    width: 50%;
}

.bottomParametrValue {
    color: #232426;
    font-family: 'Inter';
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 0;
}

/* Part 2 */
.headMaterial {
    height: 70px;
    gap: 12px;
    display: flex;
    justify-content: space-between;
}
.groupMaterial {
    display: flex;
    padding: 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid #fff;
    background: #fff;
    flex-wrap: wrap;
}

.materialPart {
    display: flex;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    width: 100%;
}

.materialProperties {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    gap: 4px;
}
.head {
    white-space: nowrap;
    color: var(--Gray-colors-Gray-4, #6b7280);
    font-family: 'Inter';
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.materialProperties input {
    display: flex;
    position: relative;
    width: 100%;
    padding: 14px 12px;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}

.contentValue {
    display: flex;
    position: relative;
    top: 22px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    background: #fff;
    width: 42px;
    height: 22px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}
.progressbar {
    position: relative;
    top: 22px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    background: #fff;
    width: 42px;
    height: 22px;
    padding: 12px;
}
.counter {
    position: relative;
    text-align: center;
    width: 42px;
    height: 22px;
    color: var(--232426, #232426);
    font-family: 'Inter';
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 125% */
}
span.progress {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 0;
    background: rgba(0, 255, 25, 1);
    transition: all 0.2s;
    border-radius: 3px 0 0 3px;
}
.c {
    display: flex;
    position: relative;
    top: 22px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    background: #fff;
    width: 42px;
    height: 22px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}
.base-btn {
    outline: none;
    border: none;
    cursor: pointer;
}

.base-btn__add {
    width: 48px;
    height: 48px;
    padding: 12px;
    border-radius: 4px;
    background-color: #3390ec;
    transition: all 0.3s ease;
    position: relative;
    top: 22px;
}

.base-btn__add:hover {
    transition: all 0.3s ease;
    background-color: 0069D0;
}
/* .materialTable {
    width: 100%;
    height: 190px;
    font-family: "Inter";
    font-size: 11px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
    position: relative;
} */
.materialTable {
    width: 100%;
    height: 190px;
    font-family: 'Inter';
    font-size: 11px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
    overflow-y: auto;
}
.materialProperty,
.content {
    border-radius: 4px;
    border: 1px solid #d1d5db;
}
.materialTable tbody {
    width: 100%;
    overflow-y: auto;
}
.materialTable thead {
    width: 95%;
}

.materialTable th {
    width: 24%;
}

.tableHeader tr {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 18px;
}

.materialPropertiesValue {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 4px;
}
.row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    padding: 12px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    margin-bottom: 12px;
    padding-left: 20px;
}
.row th {
    color: var(--Gray-colors-Gray-4, #6b7280);
    font-family: 'Inter';
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.materialTable thead th:nth-child(1) {
    width: 30px;
}
.materialTable tbody th:nth-child(1) {
    width: 18px;
    height: 18px;
    position: inherit;
}
.materialTable tbody th:nth-child(2) {
    width: 20%;
}
.materialTable tbody th:nth-child(3) {
    width: 26%;
}
.materialValue {
    width: 563px;
    color: var(--232426, #232426);
    font-family: 'Inter';
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.Icon-Material {
    height: 20px;
    width: 20px;
    position: relative;
    top: -2px;
    left: -5px;
    border: none;
    accent-color: rgba(51, 144, 236, 1);
}
.headMaterialType {
    width: 32px;
}
.bottom-material {
    height: 48px;
    width: 33%;
}
.bottomMaterial {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    height: 48px;
    width: 100%;
}
.btn-panel {
    display: flex;
    justify-content: end;
    width: 330px;
    height: 48px;
    gap: 8px;
}
.bottomMaterialHeader {
    margin: 0;
    color: #6b7280;
    font-family: 'Inter';
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 0;
}
.bottomMaterialValue {
    color: #232426;
    font-family: 'Inter';
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 0;
}
.btn {
    display: flex;
    padding: 14px 24px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: none;
    color: var(--Gray-colors-White, #fff);
    font-family: 'Inter';
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    outline: none;
    cursor: pointer;
    border-radius: 4px;
}
.help-button {
    outline: none;
    border: none;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}
.help {
    outline: none;
    cursor: pointer;
}
.btn-rem {
    background: #e80000;
}
.btn-add {
    background-color: green;
}
.btn-save {
    height: 48px;
    width: 378px;
    background-color: green;
}
.base-btn__remove {
    width: 48px;
    height: 48px;
    padding: 12px;
    border-radius: 4px;
    background-color: red;
    transition: all 0.3s ease;
    position: relative;
    top: 22px;
}

.base-btn__remove:hover {
    transition: all 0.3s ease;
    background-color: red;
    opacity: 0.2;
}
.btn_disabled {
    background-color: #6b7280;
    transition: all 0.3s ease;
}

/* Part3 */
/* .moduleItems {
    display: flex;
    padding: 42px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    height: 464px;
    width: 1316px;
    border-radius: 24px;
    background: #f5f5f5;
}
.ItemsPart {
    display: flex;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    width: 1316px;
    height: 339px;
    margin-bottom: 24px;
}
.Part-Items {
    display: flex;
    padding: 24px;
    width: 1090px;
    height: 312px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid #fff;
    background: #fff;
    flex-wrap: wrap;
}

.TableTestwithTh {
    width: 1090px;
    height: 339px;
    font-family: "Inter";
    font-size: 11px;
    display: inline-block;
    position: relative;
    overflow-y: auto;
}

.ItemsCheck {
    display: flex;
    gap: 12px;
    flex-direction: column;
}
.ItemsSum {
    display: flex;
    padding: 24px;
    width: 154px;
    height: 260px;
    flex-direction: column;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid #fff;
    background: #fff;
    flex-wrap: wrap;
}
.ItemsDate {
    width: 202px;
    height: 19px;
    color: #232426;
    font-family: "Inter";
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.ItemsSumName {
    color: #6b7280;
    font-family: "Inter";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.ItemsSumCheck {
    color: #232426;
    font-family: "Inter";
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.btn-panel-Items {
    display: flex;
    align-items: flex-start;
    width: 482px;
    height: 48px;
    gap: 12px;
}
.btn-copy {
    background-color: rgba(51, 144, 236, 1);
}
.btn-disable {
    background: #9ca3af;
}
.btn-Items {
    display: flex;
    padding: 14px 24px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: none;

    font-family: "Inter";
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    outline: none;
    cursor: pointer;
    border-radius: 4px;
}*/
.btn-disable {
    background: #b0b3b7;
}
.inputValue {
    width: 100%;
}
.uk-progress {
    width: 66px;
    height: 48px;
    border-radius: 4px;
}
.data > .inputValue > .nonViewed {
    transition: all 300ms ease-in-out;
    border: 1px solid red;
}
.data > .inputValue > .viewed {
    transition: all 300ms ease-in-out;
    border: 1px solid #d1d5db;
}
.data > .nonViewed {
    transition: all 300ms ease-in-out;
    border: 1px solid red;
}
.data > .viewed {
    transition: all 300ms ease-in-out;
    border: 1px solid #d1d5db;
}

input.nonViewed {
    transition: all 300ms ease-in-out;
    border: 1px solid red;
}
input.viewed {
    transition: all 300ms ease-in-out;
    border: 1px solid #d1d5db;
}
div.nonViewed {
    transition: all 300ms ease-in-out;
    position: relative;
    top: 22px;
    border-radius: 4px;
    border: 1px solid red;
    background: #fff;
    width: 42px;
    height: 22px;
    padding: 12px;
}
div.viewed {
    transition: all 300ms ease-in-out;
    position: relative;
    top: 22px;
    border-radius: 4px;
    background: #fff;
    width: 42px;
    height: 22px;
    padding: 12px;
    border: 1px solid #d1d5db;
}
p {
    margin: 0;
    color: #ba0000;
    font-family: 'Inter';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 128.571% */
}
.saveSuccess {
    display: none;
    position: fixed;
    top: 0%;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    border: 1px solid black;
}
.modal_container {
    position: absolute;
    left: 50%;
    top: 50%;
    display: block;
    width: 450px;
    height: 165px;
    background: #f5f5f5;
    transform: translate(-50%, -50%);
    border: 1px solid black;
}
.modal_container > h1 {
    margin: 15px 0 15px 10px;
}
.modal_container > p {
    margin: 15px 0 15px 10px;
    color: var(--Gray-colors-Gray-4, #6b7280);
    /* 14px/Regular */
    font-family: 'Inter';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    /* 128.571% */
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 4px;
}
.btn-panel-Items-Module {
    display: flex;
    align-items: flex-start;
    position: absolute;
    bottom: 0px;
    width: 400px;
    height: 48px;
    gap: 12px;
    align-items: end;
    margin: 15px 25px 15px 25px;
}
.redProgressBar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 0;
    background: rgba(255, 0, 0, 1) !important;
    transition: all 300ms ease-in-out !important;
    border-radius: 3px 0 0 3px;
}
.loader {
    background-image: url(/local/templates/Cert_module/media/Dual_Ring-1s-72px.gif);
    background-size: 32px;
    background-repeat: no-repeat;
    height: 32px;
    width: 32px;
    position: absolute;
    top: 31px;
    right: 5px;
}

ul li {
    list-style: none;
    color: var(--Gray-colors-Gray-4, #6b7280);
    font-family: 'Inter';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
input {
    outline: none;
}
/*--------------------*/

.data input {
    width: 100%;
    height: 49px;
    padding: 14px 12px 14px 12px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
}

.ms__chose {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.ms__chose-item {
    font-size: 3.5vmin;
    background: white;
    border-radius: 0px;
    color: red;
    padding: 5px 10px;
}
.ms__dropdown {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 2;
    width: 100%;
    padding-left: 0;
    margin-top: 5px;
    max-height: 173px;
    border: 1px solid #d1d5db;
    overflow-y: auto;
    overflow-x: hidden;
}
.ms__dropdown > * + * {
    padding-top: 5px;
    border-top: 1.5px solid white;
}
.ms__dropdown_hidden {
    display: none;
}

.ms__dropdown-item {
    background: white;
    padding: 12px 0px 12px 12px;
    border: 1px solid #d1d5db;
}

.ms__dropdown-item_chose {
    opacity: 1;
    background-color: lightseagreen;
}
.ms__dropdown-item_hidden {
    display: none;
}

.ms__dropdown-item_current,
.ms__dropdown-item:hover {
    color: rgba(0, 105, 208, 1);
}
.chevron-down {
    height: 20px;
    width: 20px;
    position: absolute;
    top: 38px;
    right: 11px;
}
.plus-ND {
    height: 19px;
    width: 19px;
    position: absolute;
    top: 37px;
    right: 32px;
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type='number'] {
    -moz-appearance: textfield;
}
.base-btns {
    display: flex;
    gap: 10px;
}
.tooltip {
    position: relative;
    border-bottom: 1px dotted black;
}

.tooltip-text {
    display: none;
    width: 100%;
    background-color: #333333;
    color: #ffffff;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    text-transform: none;
    padding: 20px 18px 18px 22px;
    border-radius: 10px;
    position: absolute;
    top: 25%;
    z-index: 3;
}

.help:hover + .tooltip-text,
.help:checked + .tooltip-text {
    display: inline-block;
}

.modal {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.5);
    min-width: 420px;
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 10px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.modal-body {
    margin-top: 20px;
}

.modal-inputs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.modal-description {
    margin: 0;
    color: #ba0000;
    font-family: Inter;
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
}
.modal-body {
    margin-top: 20px;
}

.modal-inputs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.modal-description {
    margin: 0;
    color: #ba0000;
    font-family: Inter;
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
}
.remove-button {
    display: flex;
    padding: 12px 20px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: none;
    background-color: rgb(190, 67, 67);
    color: white;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    outline: none;
    cursor: pointer;
    border-radius: 4px;
    width: 100%;
    margin-top: 15px;
}
.remove-button:hover {
    opacity: 0.8;
}
.hide-button {
    background-color: #d1d5db !important;
    color: var(--Gray-colors-Gray-4, #6b7280) !important;
}
.modal-input {
    width: 100%;
    box-sizing: border-box;
}

.save-button {
    display: flex;
    padding: 12px 20px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: none;
    color: var(--Gray-colors-Gray-4, #6b7280);
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    outline: none;
    cursor: pointer;
    border-radius: 4px;
    width: 100%;
    margin-top: 15px;
}

.save-button:hover {
    background-color: #bbb;
}
.modal-input label {
    color: var(--Gray-colors-Gray-4, #6b7280);
    font-family: Inter;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 4px;
    white-space: nowrap;
    margin: 0;
}
.modal-input input {
    width: 100%;
    height: 49px;
    border-radius: 4px;
    border: 1px solid #d1d5db;
    padding: 0 10px;
    color: #313553;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.error {
    color: red;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
#modal-Success-Add {
    display:none;
}
#modal-Success-Add .modal-content {
    position: relative; /* Добавлено для позиционирования close кнопки */
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 10px;
}
#modal-Success-Add .title {
    margin-top: 0;
    margin-bottom: 0;
    width: 100%; /* Занять всю ширину блока */
    color: #232426;
    font-family: 'Inter';
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-align: center; /* Выравнивание текста по центру (если нужно) */
}
#modal-Success-Add .close {
    position: absolute; /* Позиционируем кнопку */
    top: 10px; /* Отступ сверху */
    right: 15px; /* Отступ справа */
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer; /* Курсор при наведении */
}
#modal-Success-Add .modal-table {
    display: table;
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}
#modal-Success-Add .modal-text {
    font-family: Inter, sans-serif;
    font-size: 15px;
    font-weight: 500;
    color: #333;
    text-align: center;
}
#modal-Success-Add .btn-panel {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin: 12px auto;
}
#CalculatorSuccess .modal-content {
    position: relative; /* Добавлено для позиционирования close кнопки */
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 10px;
}
#CalculatorSuccess .title {
    margin-top: 0;
    margin-bottom: 0;
    width: 100%; /* Занять всю ширину блока */
    color: #232426;
    font-family: 'Inter';
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-align: center; /* Выравнивание текста по центру (если нужно) */
}
#CalculatorSuccess .close {
    position: absolute; /* Позиционируем кнопку */
    top: 10px; /* Отступ сверху */
    right: 15px; /* Отступ справа */
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer; /* Курсор при наведении */
}
#CalculatorSuccess .modal-table {
    display: table;
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

#CalculatorSuccess .table-row {
    display: table-row;
    padding: 10px 0;
}

#CalculatorSuccess .table-cell {
    display: table-cell;
    padding: 10px 15px;
    vertical-align: middle;
    border-bottom: 1px solid #ddd;
    font-family: Inter, sans-serif;
    font-size: 18px;
    font-weight: 400;
    color: #333;
}

#CalculatorSuccess .table-cell:first-child {
    font-weight: 500;
    color: #666;
}

#CalculatorSuccess .table-cell:last-child {
    text-align: right;
    font-weight: 600;
    color: #006ead;
}
#CalculatorSuccess .btn-panel {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin: 12px auto;
}
#CalculatorSuccess .close {
    top: 10px;
    right: 20px;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

#CalculatorSuccess .close:hover,
#CalculatorSuccess .close:focus {
    color: black;
    text-decoration: none;
}
#CalculatorSuccess .modal-text {
    font-family: Inter, sans-serif;
    font-size: 15px;
    font-weight: 500;
    color: #333;
    text-align: center;
}
section.registration {
    margin: 0 auto;
}
.registration_button {
    font-family: Inter;
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    text-align: left;
    color: #005bff;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;

    height: 51px;
    padding: 16px 32px 16px 32px;
    gap: 8px;
    border-radius: 12px;
    opacity: 0px;
}
.btn-sum {
    background-color: #005bff;
    color: white;
}
@media (max-width: 1400px) {
    .bottom-Material {
        width: 25%;
    }
    .bottom-Material:last-child {
        width: 50%;
        justify-content: end;
    }
}
@media (max-width: 1024px) {
    .filterPart,
    .MaterialPart {
        flex-direction: column;
        align-items: center;
    }
    .PartFilter,
    .Part,
    .headMaterial {
        width: 100%;
    }
    .progressbar,
    .progressbar.Viewed,
    .progressbar.nonViewed {
        padding: 12px 0;
        width: 140px;
    }
    .bottomMaterial {
        flex-direction: column;
        height: auto;
    }
    .bottom-Material {
        width: 100%;
    }
    .bottom-Material:last-child {
        width: 100%;
        justify-content: end;
    }
}
@media (max-width: 768px) {
    .bottomMaterial {
        flex-direction: column;
        height: auto;
    }
    .title {
        font-size: 20px;
    }
    .titleParameter {
        font-size: 14px;
    }
    .bottomParametrValue {
        font-size: 16px;
    }
    .bottomParametrHeader {
        font-size: 12px;
    }
    .materialValue {
        font-size: 14px;
    }
    .bottomMaterialValue {
        font-size: 16px;
    }
    .bottomMaterialHeader {
        font-size: 12px;
    }
    .btn {
        padding: 10px 12px;
        font-size: 12px;
    }
    .moduleMaterial,
    .moduleFilter {
        gap: 12px;
        padding: 12px;
    }
    .headParameter {
        font-size: 14px;
    }
    .tooltip-text {
        font-size: 12px;
    }
}

@media (max-width: 560px) {
    .btn-save{
        width:250px;
    }
    .groupParameter {
        flex-direction: column;
        height: auto;
        align-items: center;
    }
    .data {
        width: 100%;
    }
    .headMaterial {
        height: 100%;
        justify-content: center;
        flex-direction: column;
        margin-bottom: 24px;
    }
    .materialPropertyInput {
        width: 100%;
    }
    .progressbar,
    .progressbar.Viewed,
    .progressbar.nonViewed {
        width: 100%;
        padding: 12px 0;
    }
    .bottom-material {
        width: auto;
        flex-wrap: wrap;
        margin-bottom: 12px;
    }
    .bottomParametr {
        height: auto;
        flex-direction: column;
    }
    .base-btn {
        width: 100% !important;
    }
    .materialTable {
        width: 100%;
        height: auto;
    }
    .materialTable thead,
    .materialTable tbody {
        width: 560px;
    }
    .bottom {
        width: 100%;
    }
    .tooltip-text {
        font-size: 12px;
    }
    #calculatorSuccess .btn-panel {
        margin: 24px auto 12px auto;
    }
    #calculatorSuccess .btn-save {
        width: 80%;
        font-size: 18px;
    }
}
